/* General styles */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Lato", sans-serif;
}

::-webkit-scrollbar {
  width: 8px;
}

::-webkit-scrollbar-track {
  background: #d6d6d6;
}

::-webkit-scrollbar-thumb {
  background: rgb(255, 122, 122);
  border-radius: 10px;
}

::-webkit-scrollbar-thumb:hover {
  background: rgba(240, 5, 5, 0.849);
}

html {
  scroll-behavior: smooth;
}

body {
  position: relative;
  background: linear-gradient(
    290deg,
    rgb(233, 28, 216),
    rgb(240, 141, 95),
    rgb(243, 43, 43)
  );
}

nav {
  display: flex;
  justify-content: center;
  background-color: rgb(184, 5, 5);
  padding: 5px 10px;
}

.menu-btn {
  background-color: #ff9900;
  border: none;
  color: white;
  padding: 10px 20px;
  text-align: center;
  text-decoration: none;
  font-size: 16px;
  font-weight: bold;
  cursor: pointer;
  margin-top: 40px;
  margin-left: 10px;
  transition: background-color 0.3s ease;
}

.menu-btn:hover {
  background-color: #cc7a00;
}

@keyframes fadeOut {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

#content {
  transition: opacity 0.9s ease-in-out;
}

#content.hide {
  animation: fadeOut 0.9s forwards;
}

#content.show {
  animation: fadeIn 0.9s forwards;
}

#jesus-christ {
  border-radius: 50px;
  object-fit: cover;
}

#julia {
  height: 200px;
  width: 200px;
  border-radius: 50%;
  box-shadow: 0 2px 5px rgba(200, 200, 200, 0.3);
  transition: box-shadow 0.3s ease-in-out;
  margin-top: 2px;
}

#julia:hover {
  box-shadow: 0 4px 10px rgba(200, 200, 200, 0.5);
}

#title {
  margin-left: 60px;
  color: white;
}

#julia-desc {
  color: white;
  margin-left: 20px;
  margin-right: 20px;
  margin-top: 30px;
  margin-bottom: 10px;
  font-size: 20px;
  text-align: center;
}

.head-text-block {
  color: white;
  font-size: 30px;
  padding-top: 30px;
  padding-bottom: 30px;
}

.sub-head {
  position: sticky;
  top: 0;
  z-index: 1000;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.356);
  color: black;
  background-color: whitesmoke;
  padding-top: 10px;
  padding-bottom: 10px;
  font-size: large;
  border-top: 1px solid gray;
  border-bottom: 1px solid gray;
  display: flex;
  gap: 390px;
  width: 100%;
}

.song-list1 {
  display: grid;
  width: 70%;
  grid-template-columns: 1fr 1fr 1fr;
  padding-top: 10px;
  padding-bottom: 10px;
  margin-left: 20px;
  gap: 30px;
  margin: 20px;
}

#S1 {
  padding-bottom: 15px;
  padding-top: 15px;
  padding-left: 10px;
  padding-right: 10px;
  border-radius: 20px;
  background-color: whitesmoke;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

#S1:hover {
  transform: scale(1.05); /* Slightly increase the size on hover */
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2); /* Add a shadow effect on hover */
}

.Ss2 p:nth-child(1) {
  font-weight: bold;
  font-size: 19px;
}

#up-scroll {
  position: fixed;
  bottom: 50px;
  right: 10px;
  font-size: 40px;
  color: red;
  border-radius: 80px;
  padding: 7px 14px;
  border: none;
  z-index: 1000;
  opacity: 0; /* Initially hidden */
  visibility: hidden; /* Initially hidden */
  transition: opacity 0.5s ease, visibility 0.5s ease; /* Smooth transition */
}

.center1 {
  text-align: center;
  margin: 20px auto;
}

/* Footer styles */
footer {
  background-color: rgb(184, 5, 5);
  color: white;
  text-align: center;
  padding: 10px 0;
  /* position: fixed;
  bottom: 0; */
  width: 100%;
}

/* Media queries for index.html */
@media (max-width: 768px) {
  nav {
    display: block;
    text-align: center;
  }

  #img-and-title {
    margin: 10px auto;
  }

  #title {
    margin: 10px auto;
  }

  #julia-desc {
    margin: 10px auto;
    font-size: 18px;
    text-align: justify;
  }

  .menu-btn {
    display: block;
    width: 90%;
    margin: 10px auto;
    font-size: 18px;
  }

  .song-list1 {
    grid-template-columns: 1fr 1fr;
    width: 100%;
    margin: 0 auto;
  }

  .youtube-player {
    width: 100%;
    height: auto;
  }

  #S1 {
    margin-left: 15px;
    margin-right: 15px;
  }
}

@media (max-width: 480px) {
  #julia {
    height: 150px;
    width: 150px;
  }

  #julia-desc {
    font-size: 16px;
  }

  .Ss2 p:nth-child(1) {
    font-size: 16px;
  }

  .menu-btn {
    font-size: 16px;
  }

  .song-list1 {
    grid-template-columns: 1fr;
    width: 100%;
    margin: 0 auto;
  }

  #S1 {
    margin-left: 15px;
    margin-right: 15px;
  }

  .youtube-player {
    width: 100%;
    height: auto;
  }
}

@media (max-width: 320px) {
  #julia {
    height: 100px;
    width: 100px;
  }

  #julia-desc {
    font-size: 14px;
  }

  .menu-btn {
    font-size: 14px;
  }

  .Ss2 p:nth-child(1) {
    font-size: 16px;
  }

  #S1 {
    margin-left: 15px;
    margin-right: 15px;
  }

  .youtube-player {
    width: 100%;
    height: auto;
  }
}
